Subject: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Dec 2023 19:14:48 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Ihor Radchenko <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 14 Dec 2023 12:07:13 -0500
> 
> > But for starters, a new Lisp-only global variable should be good, I
> > think.  Stefan, any comments?
> 
> I must say I don't understand the reasoning behind this.
> What would it do different from `case-fold-search`?

It won't be buffer-local-if-changed, so binding it will not be costly.
It also won't be a defcustom, so let-binding it will not step on the
user's preferences.